%define module_name Bot-BasicBot-Pluggable-Module-DateTimeCalc
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bot/BasicBot/Pluggable.pm) perl(Date/Manip.pm) perl(DateTime.pm) perl(DateTime/Format/DateParse.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Wordlist.pm) perl(Test/EOL.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Spelling.pm) perl(Test/Synopsis.pm) perl(base.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0304
Release: alt1
Summary: Calculate date-time operations
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GE/GENE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A `Bot::BasicBot::Pluggable::Module::DateTimeCalc' calculates date-time
operations.

This bot is coded to only respond when directly addressed, btw.

Since this module uses the Date::Manip manpage, many different date-time formats are
supported.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes README.md
%perl_vendor_privlib/B*

%changelog
* Mon Jan 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.0304-alt1
- regenerated from template by package builder

* Mon Jan 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.0303-alt1
- regenerated from template by package builder

* Fri Jun 29 2018 Igor Vlasenko <viy@altlinux.ru> 0.0302-alt1
- initial import by package builder

